{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{% set delete_url = ea_url()
    .setCrudId(app.request.query.get('crudId'))
    .setAction('delete')
    .setEntityId(entity_id ?? '__entityId_placeholder__')
    .removeReferrer() %}

<form action="{{ delete_url }}" method="post" id="delete-form" style="display: none">
    <input type="hidden" name="token" value="{{ csrf_token('ea-delete') }}" />
</form>

<div id="modal-delete" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
                <h4>Souhaitez vous supprimer cet objet ?</h4>
                <p>Vous ne pourrez pas rétablir les changements</p>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="actions-btn">
                    <span class="btn-label">Annuler</span>
                </button>

                <button type="button" data-dismiss="modal" class="actions-btn delete" id="modal-delete-button" formtarget="delete-form">
                    <span class="btn-label">Supprimer</span>
                </button>
            </div>
        </div>
    </div>
</div>
